package cn.hmsoft.weixin.data.model;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 微信消息处理器
* @author: Zhang XiaoQing
* @date: 2016-08-15 00:13:48
* @version: 1.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "WX_MSG_PROCESSOR", keyColumn =  "" , sequenceName = "")
public class WxMsgProcessor implements Serializable{
	private static final long serialVersionUID = -7502924719937283002L;

	private Integer wx_id;
	//消息类型
	private String msg_type;
	//消息处理类
	private String process_class;
	//消息参数
	private String process_param;
	//备注信息
	private String process_desc;
	//是否线程方式执行
	private String run_thread;

	public Integer getWx_id() {
		return wx_id;
	}

	public void setWx_id(Integer wx_id) {
		this.wx_id = wx_id;
	}
	/****
	 * 消息类型
	 */
	public String getMsg_type() {
		return this.msg_type;
	}

	/****
	 * 消息类型
	 */
	public void setMsg_type(String msg_type) {
		this.msg_type = msg_type;
	}

	/****
	 * 消息处理类
	 */
	public String getProcess_class() {
		return this.process_class;
	}

	/****
	 * 消息处理类
	 */
	public void setProcess_class(String process_class) {
		this.process_class = process_class;
	}

	/****
	 * 消息参数
	 */
	public String getProcess_param() {
		return this.process_param;
	}

	/****
	 * 消息参数
	 */
	public void setProcess_param(String process_param) {
		this.process_param = process_param;
	}

	/****
	 * 备注信息
	 */
	public String getProcess_desc() {
		return this.process_desc;
	}

	/****
	 * 备注信息
	 */
	public void setProcess_desc(String process_desc) {
		this.process_desc = process_desc;
	}

	/****
	 * 是否线程方式执行
	 */
	public String getRun_thread() {
		return this.run_thread;
	}

	/****
	 * 是否线程方式执行
	 */
	public void setRun_thread(String run_thread) {
		this.run_thread = run_thread;
	}

}